org.keycloak.models.sessions.infinispan.remotestore

## Class ClientListenerExecutorDecorator<K>

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.remotestore.ClientListenerExecutorDecorator<K>

-     public class ClientListenerExecutorDecorator<K>
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientListenerExecutorDecorator(ExecutorService decorated)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.keycloak.models.sessions.infinispan.remotestore.ClientListenerExecutorDecorator.MyClientEvent` | `convertIspnClientEvent(org.infinispan.client.hotrod.event.ClientEvent ispnClientEvent)`
    `void` | `submit(org.infinispan.client.hotrod.event.ClientCacheEntryCreatedEvent<K> cacheEntryCreatedEvent, Runnable r)`
    `void` | `submit(org.infinispan.client.hotrod.event.ClientCacheEntryModifiedEvent<K> cacheEntryModifiedEvent, Runnable r)`
    `void` | `submit(org.infinispan.client.hotrod.event.ClientCacheEntryRemovedEvent<K> cacheEntryRemovedEvent, Runnable r)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientListenerExecutorDecorator

          public ClientListenerExecutorDecorator(ExecutorService decorated)

  - ### Method Detail

    - #### submit

          public void submit(org.infinispan.client.hotrod.event.ClientCacheEntryCreatedEvent<K> cacheEntryCreatedEvent,
                             Runnable r)

    - #### submit

          public void submit(org.infinispan.client.hotrod.event.ClientCacheEntryModifiedEvent<K> cacheEntryModifiedEvent,
                             Runnable r)

    - #### submit

          public void submit(org.infinispan.client.hotrod.event.ClientCacheEntryRemovedEvent<K> cacheEntryRemovedEvent,
                             Runnable r)

    - #### convertIspnClientEvent

          public org.keycloak.models.sessions.infinispan.remotestore.ClientListenerExecutorDecorator.MyClientEvent convertIspnClientEvent(org.infinispan.client.hotrod.event.ClientEvent ispnClientEvent)

Copyright © 2021 JBoss by Red Hat. All rights reserved.